"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var di_1 = require("../di");
var application_action_builder_1 = require("../component/application/application-action.builder");
var layout_action_builder_1 = require("../component/layout/layout-action.builder");
var universal_application_effects_1 = require("./universal-application.effects");
var ApplicationEffects = /** @class */ (function (_super) {
    __extends(ApplicationEffects, _super);
    function ApplicationEffects() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ApplicationEffects_1 = ApplicationEffects;
    /**
     * @stable [11.08.2018]
     * @returns {IEffectsAction[]}
     */
    ApplicationEffects.prototype.$onLogout = function () {
        return _super.prototype.$onLogout.call(this).concat(layout_action_builder_1.LayoutActionBuilder.buildDestroyAction());
    };
    var ApplicationEffects_1;
    __decorate([
        redux_effects_promise_1.EffectsService.effects(application_action_builder_1.ApplicationActionBuilder.buildLogoutActionType()),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Array)
    ], ApplicationEffects.prototype, "$onLogout", null);
    ApplicationEffects = ApplicationEffects_1 = __decorate([
        di_1.provideInSingleton(ApplicationEffects_1)
    ], ApplicationEffects);
    return ApplicationEffects;
}(universal_application_effects_1.UniversalApplicationEffects));
exports.ApplicationEffects = ApplicationEffects;
//# sourceMappingURL=application.effects.js.map