import { IPermissionsService } from '../../permissions';
import { UniversalContainer } from './universal.container';
import { IContainer } from '../../entities-definitions.interface';
import { IContainerProps } from '../../props-definitions.interface';
export declare class BaseContainer<TProps extends IContainerProps = IContainerProps, TState = {}> extends UniversalContainer<TProps, TState> implements IContainer<TProps, TState> {
    protected permissionService: IPermissionsService;
    constructor(props: TProps);
    protected dispatchNotification(info: string): void;
    protected isPermissionAccessible<TApplicationAccessConfig>(checkedObject: TApplicationAccessConfig): boolean;
    protected activateFormDialog(): void;
}
