"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../../../util");
// TODO destroy
exports.toSelectOptions = function (data, useIdSorter, predicate) {
    if (useIdSorter === void 0) { useIdSorter = false; }
    if (predicate === void 0) { predicate = function (item) { return true; }; }
    return util_1.orNull(data, function () { return R.sort(useIdSorter
        ? function (item1, item2) { return item1.id === item2.id ? 0 : (item1.id > item2.id ? 1 : -1); }
        : function (item1, item2) { return String(item1.name || item1.id).localeCompare(String(item2.name || item2.id)); }, R.filter(predicate, [].concat(data)))
        .map(function (entity) { return ({
        value: entity.id,
        label: entity.name,
        rawData: entity,
    }); }); });
};
// TODO destroy
exports.toSelectOptionsFromDictionary = function (dictionaryEntity, useIdFilter, predicate) {
    if (useIdFilter === void 0) { useIdFilter = false; }
    if (predicate === void 0) { predicate = function (item) { return true; }; }
    return exports.toSelectOptions(dictionaryEntity && dictionaryEntity.data, useIdFilter, predicate);
};
//# sourceMappingURL=select.helper.js.map