import { ISrcWrapper, AnyT } from '../../definitions.interface';
import { IVuePopup$Wrapper, VueComponentOptionsT } from '../../vue-definitions.interface';
/**
 * @stable [29.11.2018]
 */
export interface IVueViewerStateEntity extends IVuePopup$Wrapper {
}
/**
 * @stable [09.12.2018]
 */
export interface IVueViewerPropsEntity extends ISrcWrapper {
}
/**
 * @stable [29.11.2018]
 */
export interface IVueViewerTemplateMethodsEntity {
    getSrc?(): string;
    isPopupOpened?(): boolean;
    onOpenPopup?(): void;
    onClosePopup?(): void;
    onRemove?(): void;
}
/**
 * @stable [09.12.2018]
 */
export interface IVueViewerListenersEntity<TChangedValue = AnyT> {
    remove?(): void;
    change?(newValue: TChangedValue): void;
}
/**
 * @stable [09.12.2018]
 * @returns {{data(): void}}
 */
export declare const vueViewerComponentConfigFactory: () => VueComponentOptionsT;
/**
 * @stable [27.11.2018]
 */
export declare const VUE_VIEWER_CHANGE_EVENT = "change";
export declare const VUE_VIEWER_REMOVE_EVENT = "remove";
