import { ComponentOptions, DefaultData, DefaultMethods, DefaultComputed, PropsDefinition } from 'vue/types/options';
import { IVueContainer, IVueApplicationStoreEntity } from '../../vue-entities-definitions.interface';
import { IVueConnectorOptionsConfigEntity } from './vue-connector.interface';
/**
 * @stable [23.10.2018]
 * @param {IVueConnectorOptionsConfigEntity<TApplicationStoreEntity extends IVueApplicationStoreEntity>} config
 * @returns {VueComponentOptionsT<IVueContainer<TApplicationStoreEntity extends IVueApplicationStoreEntity>>}
 */
export declare const vueConnectorOptionsFactory: <TApplicationStoreEntity extends IVueApplicationStoreEntity<{}> = IVueApplicationStoreEntity<{}>>(config: IVueConnectorOptionsConfigEntity<TApplicationStoreEntity>) => ComponentOptions<IVueContainer<TApplicationStoreEntity>, DefaultData<IVueContainer<TApplicationStoreEntity>>, DefaultMethods<IVueContainer<TApplicationStoreEntity>>, DefaultComputed, PropsDefinition<Record<string, any>>, Record<string, any>>;
