/// <reference types="react" />
import { ITextArea, ITextAreaInternalProps, ITextAreaInternalState } from './textarea.interface';
import { BasicTextField } from '../textfield';
export declare class TextArea extends BasicTextField<TextArea, ITextAreaInternalProps, ITextAreaInternalState> implements ITextArea {
    static defaultProps: ITextAreaInternalProps;
    protected getInputElement(): JSX.Element;
    /**
     * @inheritDoc
     */
    protected getInputAttachmentElement(): JSX.Element;
    /**
     * @stable [22.11.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
