"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var layout_container_1 = require("../layout.container");
var FormLayoutContainer = /** @class */ (function (_super) {
    __extends(FormLayoutContainer, _super);
    function FormLayoutContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [07.08.2018]
     * @returns {JSX.Element}
     */
    FormLayoutContainer.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return (React.createElement("main", { className: util_1.toClassName(props.className, 'rac-form-layout', 'rac-flex', 'rac-flex-full', 'rac-flex-center') },
            React.createElement("div", { className: 'rac-form-layout-content' },
                util_1.orNull(props.topTitle, function () { return (React.createElement("div", { className: 'rac-absolute-top-position rac-form-layout-top-header' },
                    React.createElement("div", { className: 'rac-form-layout-top-header-content' }, _this.t(props.topTitle)))); }),
                util_1.orNull(props.title || props.subTitle, function () { return (React.createElement("div", { className: 'rac-header rac-section' },
                    util_1.orNull(props.title, function () { return React.createElement("h3", { className: 'rac-header-title' }, _this.t(props.title)); }),
                    util_1.orNull(props.subTitle, function () { return React.createElement("h5", { className: 'rac-header-subtitle' }, _this.t(props.subTitle)); }))); }),
                props.children,
                props.footer),
            this.snackbarElement));
    };
    return FormLayoutContainer;
}(layout_container_1.LayoutContainer));
exports.FormLayoutContainer = FormLayoutContainer;
//# sourceMappingURL=form-layout.container.js.map