import { IUniversalComponentPlugin, IUniversalScrollableComponent } from '../../entities-definitions.interface';
export declare class StickyHeaderPlugin implements IUniversalComponentPlugin {
    private component;
    private domAccessor;
    private stickyElementInitialProperties;
    private selfElementHeight;
    /**
     * @stable [13.12.2018]
     * @param {IUniversalScrollableComponent} component
     */
    constructor(component: IUniversalScrollableComponent);
    /**
     * @stable [13.12.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [13.12.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [13.12.2018]
     * @param {Readonly<{}>} prevProps
     * @param {Readonly<{}>} prevState
     * @param {never} prevContext
     */
    componentDidUpdate(prevProps: Readonly<{}>, prevState: Readonly<{}>, prevContext?: never): void;
    /**
     * @stable [13.12.2018]
     * @returns {number}
     */
    private readonly selfHeight;
    /**
     * @stable [13.12.2018]
     * @returns {IStickyElementPayloadEntity}
     */
    private getStickyElementInitialProperties;
}
