import { IPayloadWrapper } from '../../../definitions.interface';
import { TabPanelContainer } from '../tabpanel.container';
export declare class FormTabPanelContainer extends TabPanelContainer {
    /**
     * @stable [30.08.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    protected dispatchActiveValue(payloadWrapper: IPayloadWrapper<number>): void;
    /**
     * @stable [02.09.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    protected dispatchDeactivatedValue(payloadWrapper: IPayloadWrapper<number>): void;
    /**
     * @stable [30.08.2018]
     * @returns {number}
     */
    protected getTabActiveValue(): number;
}
