"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var storage_1 = require("../storage");
// TODO Encryption/Decryption
var RnStorage = /** @class */ (function () {
    function RnStorage(prefix) {
        this.prefix = prefix;
    }
    RnStorage.prototype.set = function (key, value) {
        return react_native_1.AsyncStorage.setItem(this.toKey(key), value);
    };
    RnStorage.prototype.get = function (key) {
        return react_native_1.AsyncStorage.getItem(this.toKey(key));
    };
    RnStorage.prototype.remove = function (key) {
        return react_native_1.AsyncStorage.removeItem(this.toKey(key));
    };
    RnStorage.prototype.toKey = function (key) {
        return [this.prefix, key].join(storage_1.STORAGE_KEY_SEPARATOR);
    };
    return RnStorage;
}());
exports.RnStorage = RnStorage;
//# sourceMappingURL=rn-storage.service.js.map